%define upstream_name    UUID-Random-Patch-UseMRS
%define upstream_version 0.030

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make UUID::Random use Math::Random::Secure's rand()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/UUID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::Random::Secure)
BuildRequires: perl(Test::More)
BuildRequires: perl(UUID::Random)
BuildArch:  noarch

%description
This module makes the UUID::Random manpage use 'rand()' from the
Math::Random::Secure manpage instead of the default 'rand()' that comes
with Perl. It is useful for creating cryptographically secure UUID's. On
the other hand, as a note, this makes generate() around 20 times slower.

After you 'use' this module, use UUID::Random as usual.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-3.mga10
+ Revision: 2207146
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-2.mga9
+ Revision: 1814500
- Mageia 9 Mass Rebuild

* Fri May 07 2021 tv <tv> 0.30.0-1.mga9
+ Revision: 1722177
- update to 0.030

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-7.mga8
+ Revision: 1498076
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-6.mga7
+ Revision: 1272421
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-5.mga6
+ Revision: 1035670
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 931972
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 745315
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 686778
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.10.0-1.mga5
+ Revision: 658036
- imported package perl-UUID-Random-Patch-UseMRS


* Tue Jul 29 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
